GET /v2.0/data/dbtables
neotomadb.org:neotoma-database-api
Summary: Returns the full content of a named Neotoma Database table.
Operation ID: —
Auth: unknown
Operation ID: —
Auth: unknown
Description
Returns the named Neotoma Database table. An empty query will return a list of tables.
Parameters (4)
count
(boolean, query, optional, default: False)
Should we return the row count for the table?
limit
(integer, query, optional, default: 25)
The maximum number of records to be returned, default is 25.
Constraints: {'minimum': 1, 'maximum': 10000}
offset
(integer, query, optional, default: 0)
The offset for returned records when a limit is present. Default is 0.
Constraints: {'minimum': 0}
table
(string, query, optional)
Valid name for a Neotoma Table
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| List all available database tables | curl |
https://api.neotomadb.org/v2.0/data/dbtables |
|
| Get records from the sites table with default pagination | curl |
https://api.neotomadb.org/v2.0/data/dbtables?table=sites |
|
| Get datasets table with custom limit, offset, and row count | curl |
https://api.neotomadb.org/v2.0/data/dbtables?table=datasets&limit=10&offset=0&count=true |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 11:32:07.654348 | 200 | 609ms | |
| 2026-03-23 11:11:36.317017 | 200 | 540ms | |
| 2026-03-23 11:09:33.818007 | 200 | 577ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 11:11:36.317017 | b9a1d46021fc |
b4ae6454a92d |
| 2026-03-23 11:32:07.654348 | b4ae6454a92d |
854b9b730414 |